%define up_name   SDL2_gfx

%define major   0
%define apiver  1.0

%define libname     %mklibname %{name} %{apiver} %{major}
%define develname   %mklibname %{name} -d
%define develsname  %mklibname %{name} -d -s

Summary:    SDL2 graphics drawing primitives
Name:       sdl2_gfx
Version:    1.0.4
Release:    %mkrel 4
License:    ZLib
Group:      System/Libraries
URL:        http://www.ferzkopp.net/joomla/content/view/19/14/
Source0:    http://www.ferzkopp.net/Software/%{up_name}/%{up_name}-%{version}.tar.gz
Patch0:     SDL2_gfx-1.0.0-linking.patch
BuildRequires:  pkgconfig(sdl2)

%description
The SDL2_gfx library provides the basic drawing functions such
as lines, circles or polygons.
There is also an implementation of an interpolating rotozoomer for SDL2
surfaces.

The current components of the SDL2_gfx library are:

 * Graphic Primitives
 * Surface Rotozoomer
 * Framerate control
 * MMX image filters
 * Build-in 8x8 Font

%package -n   %{libname}
Summary:      Main library for %{name}
Group:        System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n   %{develname}
Summary:      Headers for developing programs that will use %{name}
Group:        Development/C
Requires:     %{libname} = %{version}-%{release}
Provides:     lib%{name}-devel = %{version}-%{release}
Provides:     %{name}%{apiver}-devel = %{version}-%{release}
Provides:     %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n   %{develsname}
Summary:      Static library for developing static programs that use %{name}
Group:        Development/C

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package      docs
Summary:      Documentation for %{up_name}
Group:        Documentation
BuildArch:    noarch

%description docs
This package contains the documentation for the %{up_name} library.

%prep
%autosetup -n %{up_name}-%{version}

%build
autoreconf -vfi

%ifnarch %{ix86} x86_64
%configure --disable-mmx
%else
%configure
%endif

%make_build

%install
%make_install

%files -n %{libname}
%doc COPYING AUTHORS
%{_libdir}/lib%{up_name}-%{apiver}.so.%{major}
%{_libdir}/lib%{up_name}-%{apiver}.so.%{major}.*

%files -n %{develname}
%doc README NEWS ChangeLog
%{_libdir}/lib%{up_name}.so
%{_libdir}/pkgconfig/%{up_name}.pc
%{_includedir}/SDL2/*

%files -n %{develsname}
%{_libdir}/lib%{up_name}.*a

%files docs
%doc Docs/html


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.0.4-4.mga9
+ Revision: 1838768
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1516901
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-2.mga7
+ Revision: 1300972
- Mageia 7 Mass Rebuild

* Wed Mar 14 2018 akien <akien> 1.0.4-1.mga7
+ Revision: 1209321
- Version 1.0.4

* Mon Feb 08 2016 daviddavid <daviddavid> 1.0.1-3.mga6
+ Revision: 950498
- disable mmx command line option on arm

* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-2.mga6
+ Revision: 950142
- Mageia 6 Mass Rebuild

* Wed Aug 13 2014 wally <wally> 1.0.1-1.mga5
+ Revision: 662317
- new version 1.0.1
- add patch to fix linking
+ blue_prawn <blue_prawn>
- imported package sdl2_gfx

